%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-myghty
Version:        1.1
Release:        3%{?dist}
Summary:        A Python-based templating system derived from HTML::Mason

Group:          Development/Libraries
License:        LGPL
URL:            http://www.myghty.org
Source0:        http://dl.sf.net/Myghty/Myghty-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-setuptools python-devel

%description
Myghty is a Python based web and templating framework originally based on
HTML::Mason, the enterprise-level framework used by Amazon.com, del.icio.us
and Salon.com, among many others. Myghty fully implements Mason's templating
language, component-based architecture, and caching system, and goes beyond,
adding new paradigms such the Module Components controller paradigm, full
Python whitespace syntax, threading support, WSGI support, session support,
and much more.

%prep
%setup -q -n Myghty-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --old-and-unmanageable --root $RPM_BUILD_ROOT
(cd doc ; %{__python} genhtml.py)


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/html/* examples LICENSE
%{python_sitelib}/*


%changelog
* Sat Dec  9 2006 Luke Macken <Lmacken@redhat.com> 1.1-2
- Rebuild for python 2.5

* Wed Oct 18 2006 Luke Macken <lmacken@redhat.com> 1.1-1
- 1.1

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> 1.0.2-2
- Rebuild for FC6

* Mon Aug 14 2006 Luke Macken <lmacken@redhat.com> 1.0.2-1
- 1.0.2

* Thu Mar 16 2006 Luke Macken <lmacken@redhat.com> 1.0.1-1
- 1.0.1; build requires python-setuptools

* Wed Jan 04 2006 Luke Macken <lmacken@redhat.com> 1.0-1
- 1.0

* Wed Jan 04 2006 Luke Macken <lmacken@redhat.com> 0.99a-1
- Bump to 0.99a
- Install with --old-and-unmanageable to avoid Python Eggs annoyance

* Wed Oct 05 2005 Luke Macken <lmacken@redhat.com> 0.99-1
- Bump to version 0.99

* Mon Sep 12 2005 Luke Macken <lmacken@redhat.com> 0.98c-1
- Bump to version 0.98c

* Tue Aug 16 2005 Luke Macken <lmacken@redhat.com> 0.98a-1
- Packaged for Fedora Extras
